## xubuntu-default-settings 16.04.1

=== debian/changelog ===
xubuntu-default-settings (16.04.1) xenial; urgency=medium

  * Updated lightdm config locations:
    - debian/60-xubuntu.conf => usr/share/lightdm/lightdm.conf.d/
    - etc/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf =>
      usr/share/lightdm/lightdm-gtk-greeter.conf.d/
  * Remove obsolete lightdm configuration files:
    - debian/xubuntu-default-settings.postinst
    - debian/xubuntu-default-settings.postrm
    - debian/xubuntu-default-settings.preinst
    - debian/xubuntu-default-settings.prerm
    - debian/xubuntu-default-settings.maintscript
  * usr/share/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf
    - Use new Plymouth themes directory (LP: #1533200)
    - Simplify configuration, stack on 01_ubuntu.conf
  * etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
  * usr/share/xubuntu/applications/defaults.list
    - Replace gmusicbrowser references with parole where appropriate.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 11 Feb 2016 06:13:37 -0500

## xubuntu-default-settings 16.04.2

=== debian/changelog ===
xubuntu-default-settings (16.04.2) xenial; urgency=medium

  * Update font to Noto Sans:
    - debian/control
    - etc/skel/.config/Trolltech.conf
    - etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml
    - etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
    - usr/share/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 25 Feb 2016 21:07:36 -0500

## xubuntu-default-settings 16.04.3

=== debian/changelog ===
xubuntu-default-settings (16.04.3) xenial; urgency=medium

  [ Unit 193 ]
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    usr/share/xubuntu/applications/defaults.list:
    - Change ubuntu-software-center → gnome-software.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 02 Mar 2016 20:05:52 -0500

## xubuntu-default-settings 16.04.4

=== debian/changelog ===
xubuntu-default-settings (16.04.4) xenial; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/parole.xml
    - Set default video sink to XV

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 14 Mar 2016 22:15:29 -0400

## xubuntu-default-settings 16.04.5

=== debian/changelog ===
xubuntu-default-settings (16.04.5) xenial; urgency=medium

  * Drop "Contribute to Xubuntu" and "Xubuntu Website"
    links, now included in documentation (LP: #1537742)
    - etc/xdg/xdg-xubuntu/menus/xfce-applications.menu
    - usr/share/xubuntu/applications/po/POTFILES.in
    - usr/share/xubuntu/applications/po/xds-desktop-files.pot
    - usr/share/xubuntu/applications/xubuntu-contribute.desktop.in
    - usr/share/xubuntu/applications/xubuntu-website.desktop.in
  * Hide ImageMagick Q16 links from the menu (LP: #1549732)
    - etc/xdg/xdg-xubuntu/menus/xfce-applications.menu

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 13 Apr 2016 19:47:11 -0400

## xubuntu-default-settings 16.04.6

=== Makefile ===
#!/usr/bin/make -f

SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/share/xubuntu/applications/po usr/share/polkit-1/actions/po

all:
	@echo "Nothing to build, call 'make install' instead."

install:
	mkdir -pv $(DESTDIR)
	cp -a etc usr $(DESTDIR)/.
	# po generation
	for i in $(SUBDIRS); do \
		make -C $(DESTDIR)/$$i; \
		rm -rf $(DESTDIR)/$$i; \
	done
	# remove some remaining files
	find $(DESTDIR) -type f -iname "*.in" | xargs rm -f

# vim:ts=4

=== etc/xdg/xdg-xubuntu/Thunar/po/Makefile ===
#!/usr/bin/make -f

POTFILES := uca.xml.in

all: generate-uca

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=thunar-uca

generate-uca:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -x . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=thunar-uca --dist $$code; \
	done

# vim:ts=4

=== debian/changelog ===
xubuntu-default-settings (16.04.6) xenial; urgency=medium

  * etc/skel/.config/libreoffice/4/user/registrymodifications.xcu
    - Set elementary as the default icon theme (LP: #1569968)

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 17 Apr 2016 08:01:57 -0400

=== debian/control ===
Source: xubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), intltool
Standards-Version: 3.9.6
Homepage: https://launchpad.net/xubuntu-default-settings
Vcs-Bzr: lp:xubuntu-default-settings
Vcs-Browser: http://bazaar.launchpad.net/~xubuntu-dev/xubuntu-default-settings/trunk/files

Package: xubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, xubuntu-artwork (>= 12.10.1~), fonts-noto-hinted,
 x11-common (>= 1:7.6+7ubuntu2), lightdm-gtk-greeter (>= 2.0.1-1)
Recommends: xfce4-session, libxfce4ui-utils
Provides: lightdm-gtk-greeter-config
Description: default settings for the Xubuntu desktop
 This package contains the default settings used by Xubuntu.

Package: xubuntu-live-settings
Architecture: all
Depends: ${misc:Depends}, casper, xubuntu-default-settings
Description: configuration for the Xubuntu live cd
 This package contains live cd customizations used by Xubuntu.

## xubuntu-default-settings 16.10.1

=== debian/changelog ===
xubuntu-default-settings (16.10.1) yakkety; urgency=medium

  * Add xubuntu-session.target user systemd unit.
  * usr/share/xsessions/xubuntu.desktop: Switch Exec= line from direct
    startxfce4 execution to running xubuntu-session.target through systemd.
    Bump xfce4-session dependency accordingly.
  * Add a Breaks: for the upstart versions that don't yet have the necessary
    Xsession.d fixes for systemd user sessions yet.
  * Depend on dbus-user-session and the systemd version that provides
    graphical-session.target.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 31 Jul 2016 12:00:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,11 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, xubuntu-artwork (>= 12.10.1~), fonts-noto-hinted,
- x11-common (>= 1:7.6+7ubuntu2), lightdm-gtk-greeter (>= 2.0.1-1)
-Recommends: xfce4-session, libxfce4ui-utils
+ x11-common (>= 1:7.6+7ubuntu2), lightdm-gtk-greeter (>= 2.0.1-1),
+ xfce4-session (>= 4.12.1-3ubuntu2~),
+ dbus-user-session, systemd (>= 231-1~),
+Recommends: libxfce4ui-utils
+Breaks: upstart (<< 1.13.2-0ubuntu28~)
 Provides: lightdm-gtk-greeter-config
 Description: default settings for the Xubuntu desktop
  This package contains the default settings used by Xubuntu.

## xubuntu-default-settings 16.10.2

=== debian/changelog ===
xubuntu-default-settings (16.10.2) yakkety; urgency=medium

  * Revert systemd user unit changes (LP: #1622303)
  * usr/share/xsessions/xubuntu.desktop: Switch Exec= line back to
    direct startxfce4 execution.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 28 Sep 2016 06:02:49 -0400

## xubuntu-default-settings 16.10.3

=== debian/changelog ===
xubuntu-default-settings (16.10.3) yakkety; urgency=medium

  * debian/control:
    - Drop dependencies on dbus-user-session and systemd, these
      are not needed with the previous changes and seem to be related
      to slowness with adjusting display backlights.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 06 Oct 2016 20:04:33 -0400

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, xubuntu-artwork (>= 12.10.1~), fonts-noto-hinted,
  x11-common (>= 1:7.6+7ubuntu2), lightdm-gtk-greeter (>= 2.0.1-1),
- xfce4-session (>= 4.12.1-3ubuntu2~),
- dbus-user-session, systemd (>= 231-1~),
+ xfce4-session (>= 4.12.1-3ubuntu2~)
 Recommends: libxfce4ui-utils
 Breaks: upstart (<< 1.13.2-0ubuntu28~)
 Provides: lightdm-gtk-greeter-config

## xubuntu-default-settings 17.04.0

=== debian/changelog ===
xubuntu-default-settings (17.04.0) zesty; urgency=medium

  * Add default document templates
    - debian/copyright
    - etc/xdg/xdg-xubuntu/autostart/xdg-xubuntu-templates.desktop
    - usr/share/xubuntu/templates/*
    - usr/share/xubuntu/templates/po/*
  * debian/control, debian/rules:
    - Bump to Standards Version 3.9.8
    - Add python3 dependencies for new xdg-xubuntu-templates script
  * etc/X11/Xsession.d/56xubuntu-session
    - Use new QT5 environment variable for GTK theme integration 
      (requires installation of qt5-style-plugins)

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 15 Feb 2017 07:33:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), intltool
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), intltool, python3
+Standards-Version: 3.9.8
 Homepage: https://launchpad.net/xubuntu-default-settings
 Vcs-Bzr: lp:xubuntu-default-settings
 Vcs-Browser: http://bazaar.launchpad.net/~xubuntu-dev/xubuntu-default-settings/trunk/files
@@ -11,9 +11,16 @@
 Package: xubuntu-default-settings
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, xubuntu-artwork (>= 12.10.1~), fonts-noto-hinted,
- x11-common (>= 1:7.6+7ubuntu2), lightdm-gtk-greeter (>= 2.0.1-1),
- xfce4-session (>= 4.12.1-3ubuntu2~)
+Depends: 
+ ${misc:Depends}, 
+ ${python3:Depends},
+ xubuntu-artwork (>= 12.10.1~), 
+ fonts-noto-hinted,
+ x11-common (>= 1:7.6+7ubuntu2), 
+ lightdm-gtk-greeter (>= 2.0.1-1),
+ xfce4-session (>= 4.12.1-3ubuntu2~),
+ dbus-user-session, 
+ systemd (>= 231-1~)
 Recommends: libxfce4ui-utils
 Breaks: upstart (<< 1.13.2-0ubuntu28~)
 Provides: lightdm-gtk-greeter-config

## xubuntu-default-settings 17.10.0

=== debian/changelog ===
xubuntu-default-settings (17.10.0) artful; urgency=medium

  [ Sean Davis ]
  * Include Onboard overrides (LP: #1703116)

  [ Unit 193 ]
  * Run wrap-and-sort -s
  * d/control, d/copyright, etc/xdg/xdg-xubuntu/compton.conf,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    usr/share/polkit-1/actions/com.ubuntu.pkexec.mousepad.policy.in,
    usr/share/xubuntu/templates/xdg-xubuntu-templates:
    - Use https where possible.
  * Bump Standards-Version to 4.1.0.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 29 Aug 2017 20:36:45 -0400

=== debian/control ===
Source: xubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), intltool, python3
Standards-Version: 4.1.0
Homepage: https://launchpad.net/xubuntu-default-settings
Vcs-Bzr: lp:xubuntu-default-settings
Vcs-Browser: https://bazaar.launchpad.net/~xubuntu-dev/xubuntu-default-settings/trunk/

Package: xubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 dbus-user-session,
 fonts-noto-hinted,
 lightdm-gtk-greeter (>= 2.0.1-1),
 systemd (>= 231-1~),
 x11-common (>= 1:7.6+7ubuntu2),
 xfce4-session (>= 4.12.1-3ubuntu2~),
 xubuntu-artwork (>= 12.10.1~),
 ${misc:Depends},
 ${python3:Depends}
Recommends: libxfce4ui-utils
Breaks: upstart (<< 1.13.2-0ubuntu28~)
Provides: lightdm-gtk-greeter-config
Description: default settings for the Xubuntu desktop
 This package contains the default settings used by Xubuntu.

Package: xubuntu-live-settings
Architecture: all
Depends: casper, xubuntu-default-settings, ${misc:Depends}
Description: configuration for the Xubuntu live cd
 This package contains live cd customizations used by Xubuntu.

## xubuntu-default-settings 18.04.0

=== debian/changelog ===
xubuntu-default-settings (18.04.0) bionic; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Add xfce4-pulseaudio-plugin and xfce4-statusnotifier-plugin,
      rearrange panel

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 04 Nov 2017 07:43:11 -0400

## xubuntu-default-settings 18.04.1

=== debian/changelog ===
xubuntu-default-settings (18.04.1) bionic; urgency=medium

  [ Simon Steinbeiß ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml:
    - Disable the alt-tab window previews by default, which make it
      hard to identify and navigate between windows.

  [ Sean Davis ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml:
    - Add show-panel-label=0 to hide battery charge time label
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml,
    usr/share/xubuntu/applications/defaults.list:
    - Migrate evince, file-roller, and gnome-calculator to atril, engrampa,
      and mate-calc

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 19 Nov 2017 10:09:37 -0500

## xubuntu-default-settings 18.04.2

=== debian/changelog ===
xubuntu-default-settings (18.04.2) bionic; urgency=medium

  [ Sean Davis ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/parole.xml:
    - Use autoimagesink, introduced in Parole 1.0.0, to fix playback
      in virtual machines
  * usr/share/lightdm/lightdm.conf.d/50-xubuntu-numlock.conf:
    - Enable numlock at greeter startup (LP: #1746556)
  * d/compat, d/control:
    - Bump standards version to 4.1.3 and debhelper to 11
  * d/changelog: Stripped trailing whitespace

  [ Simon Steinbeiß ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Add Super+F1 as default shortcut for xfce4-find-cursor,
      added in xfce4-settings 4.12.2

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 01 Mar 2018 00:55:44 -0500

## xubuntu-default-settings 18.04.3

=== debian/changelog ===
xubuntu-default-settings (18.04.3) bionic; urgency=medium

  [ Sean Davis ]
  * usr/bin/xubuntu-numlockx,
    usr/share/lightdm/lightdm.conf.d/50-xubuntu-numlock.conf:
    - Add numlockx wrapper so greeter will run even without
      numlockx being installed

  [ Simon Steinbeiß ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Add default shortcuts for window tiling
  * Add new custom action for Thunar to "Print file/s" (LP: #1753015)
    - usr/bin/thunar-print
    - etc/xdg/xdg-xubuntu/Thunar/uca.xml.in

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 06 Mar 2018 18:32:55 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), intltool, python3
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11), intltool, python3
+Standards-Version: 4.1.3
 Homepage: https://launchpad.net/xubuntu-default-settings
 Vcs-Bzr: lp:xubuntu-default-settings
 Vcs-Browser: https://bazaar.launchpad.net/~xubuntu-dev/xubuntu-default-settings/trunk/

=== debian/rules ===
#!/usr/bin/make -f

override_dh_gconf:
	dh_gconf --priority=20

override_dh_installgsettings:
	dh_installgsettings --priority=20

%:
	dh $@ --with python3

## xubuntu-default-settings 18.04.4

=== debian/changelog ===
xubuntu-default-settings (18.04.4) bionic; urgency=medium

  * Fix invalid desktop files (LP: #1754888)
    - usr/share/xubuntu/applications/Thunar-bulk-rename.desktop
    - usr/share/xubuntu/applications/Thunar.desktop
    - usr/share/xubuntu/applications/debian-uxterm.desktop
    - usr/share/xubuntu/applications/debian-xterm.desktop
    - usr/share/xubuntu/applications/thunar-settings.desktop
    - usr/share/xubuntu/applications/xfce4-terminal.desktop
  * usr/share/xubuntu/templates/xdg-xubuntu-templates: 
    - Fix FileNotFound error (LP: #1694471)
    - Fix UnicodeDecode error (LP: #1668191)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Set Net/FallbackIconTheme for correct icon inheritance
      on GTK+ 2 (LP: #1756187)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Add notification plugin to panel

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 17 Mar 2018 09:05:16 -0400

## xubuntu-default-settings 18.04.5

=== debian/changelog ===
xubuntu-default-settings (18.04.5) bionic; urgency=medium

  [ Krytarik Raido ]
  * Use 55numlockx to not enable numlock for laptops (LP: #1759112)

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 27 Mar 2018 20:21:14 -0400

## xubuntu-default-settings 18.04.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/share/xubuntu/applications/po usr/share/polkit-1/actions/po
+SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/share/polkit-1/actions/po usr/share/xubuntu/applications/po usr/share/xubuntu/templates/po 
 
 all:
 	@echo "Nothing to build, call 'make install' instead."

=== usr/share/polkit-1/actions/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-xds-polkit-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=xds-polkit-files

generate-xds-polkit-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge --xml-style . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=xds-polkit-files --dist $$code; \
	done

# vim:ts=4

=== usr/share/xubuntu/applications/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-xds-desktop-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=xds-desktop-files

generate-xds-desktop-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=xds-desktop-files --dist $$code; \
	done

# vim:ts=4

=== usr/share/xubuntu/templates/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-locales

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=xdg-xubuntu-templates

generate-locales:
	for i in $$(find $$1 -name *.po); do \
		code=$$(echo $$i | sed 's/.po//'); \
		mkdir -p locale/$$code/LC_MESSAGES/; \
    msgfmt -o locale/$$code/LC_MESSAGES/xdg-xubuntu-templates.mo $$i; \
	done; \
	mv locale ../../../

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=xdg-xubuntu-templates --dist $$code; \
	done

# vim:ts=4

=== debian/changelog ===
xubuntu-default-settings (18.04.6) bionic; urgency=medium

  [ Simon Steinbeiß ]
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-notifyd.xml:
    - Set the default value for fadeout in xfce4-notifyd (LP: #1763674) 

  [ Sean Davis ]
  * Add dh-python to build depends for recent python packaging
    changes.
  * Run wrap-and-sort

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 15 Apr 2018 07:09:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 11), intltool, python3
+Build-Depends: debhelper (>= 11), dh-python, intltool, python3
 Standards-Version: 4.1.3
 Homepage: https://launchpad.net/xubuntu-default-settings
 Vcs-Bzr: lp:xubuntu-default-settings
@@ -11,16 +11,15 @@
 Package: xubuntu-default-settings
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends:
- dbus-user-session,
- fonts-noto-hinted,
- lightdm-gtk-greeter (>= 2.0.1-1),
- systemd (>= 231-1~),
- x11-common (>= 1:7.6+7ubuntu2),
- xfce4-session (>= 4.12.1-3ubuntu2~),
- xubuntu-artwork (>= 12.10.1~),
- ${misc:Depends},
- ${python3:Depends}
+Depends: dbus-user-session,
+         fonts-noto-hinted,
+         lightdm-gtk-greeter (>= 2.0.1-1),
+         systemd (>= 231-1~),
+         x11-common (>= 1:7.6+7ubuntu2),
+         xfce4-session (>= 4.12.1-3ubuntu2~),
+         xubuntu-artwork (>= 12.10.1~),
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: libxfce4ui-utils
 Breaks: upstart (<< 1.13.2-0ubuntu28~)
 Provides: lightdm-gtk-greeter-config

## xubuntu-default-settings 18.10

=== debian/changelog ===
xubuntu-default-settings (18.10) cosmic; urgency=medium

  [ Simon Steinbeiß ]
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Set the square-icons option to true to ensure all
      status icons are of the same size/shape

  [ Sean Davis ]
  * etc/xdg/xdg-xubuntu/orage/oragerc:
    - Use paplay for the sound application (LP: #1054396)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Replace deprecated background-alpha with {enter,leave}-opacity
      for a semi-transparent panel with xfce4-panel 4.13+
    - Add separator and hide window list handle for cleaner panel
      appearance
  * usr/share/xsessions/xubuntu.desktop:
    - Add DesktopNames=XFCE to xubuntu.desktop to correctly set
      XDG_CURRENT_DESKTOP (LP: #1590089)

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 25 Aug 2018 21:35:47 -0400

## xubuntu-default-settings 18.10.1

=== debian/changelog ===
xubuntu-default-settings (18.10.1) cosmic; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Remove {enter,leave}-opacity setting, this should be
      configured by the theme or the user.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 13 Sep 2018 21:38:42 -0400

## xubuntu-default-settings 18.10.2

=== debian/changelog ===
xubuntu-default-settings (18.10.2) cosmic; urgency=medium

  * etc/skel/.config/atril/atril_toolbar.xml:
    - Add items to the Atril toolbar for improved usability (LP: #1792788)
  * etc/xdg/xdg-xubuntu/Thunar/uca.xml.in:
    - Fix file matching for the Print file/s custom command
  * etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-appfinder.xml:
    - Add file search custom command (-) to Whisker Menu and
      Application Finder (LP: #1793393)
  * usr/share/xubuntu/applications/Thunar.desktop:
    - Removed, Thunar File Manager will now be displayed in
      the menu again (LP: #1774046)
  * debian/xubuntu-live-settings.install,
    debian/light-locker.desktop:
    - Disable lock-on-suspend on the live session (LP: #1421443)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 24 Sep 2018 05:02:21 -0400

## xubuntu-default-settings 19.04.1

=== debian/changelog ===
xubuntu-default-settings (19.04.1) disco; urgency=medium

  * usr/share/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf:
    - Default to the Xubuntu desktop wallpaper now that Plymouth
      is release-agnostic.

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 25 Mar 2019 21:20:52 -0400

xubuntu-default-settings (19.04) disco; urgency=medium

  * Add Terminal (F4) and Find (Primary+Shift+F) shortcuts to Thunar (LP: #1793395)
    - etc/xdg/xdg-xubuntu/Thunar/accels.scm
    - etc/xdg/xdg-xubuntu/Thunar/uca.xml.in
  * debian/xubuntu-default-settings.gsettings-override:
    - Set GNOME/GTK 3 dconf keys for fonts (LP: #1769774)
  * etc/xdg/xdg-xubuntu/autostart/xfce4-tips-autostart.desktop
    - Removed, obsolete (LP: #1805005)
  * etc/xdg/xdg-xubuntu/Thunar/uca.xml.in:
    - Enable startup-notify in Thunar's uca.xml (LP: #1794118)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Add shortcut for xfce4-screenshooter region capture (Shift+Print) (LP: #1812234)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml:
    - Set default inactivity mode to Suspend on AC and battery (LP: #1768038)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfprint.xml
    - Removed, obsolete (LP: #1805007)
  * usr/share/xubuntu/applications/defaults.list:
    - Replace invalid macroEnabled mimetypes (LP: #1802582)
    - Remove invalid x-scheme-handler/file handler (LP: #1778069)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 28 Jan 2019 22:44:14 -0500

## xubuntu-default-settings 19.10

=== debian/changelog ===
xubuntu-default-settings (19.10) eoan; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml:
    - Set xfce4-session client priority from upstream
    - Drop session splash property, no longer available as of xfce4-session 4.13.2

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 19 May 2019 23:06:28 -0400

## xubuntu-default-settings 19.10.1

=== debian/changelog ===
xubuntu-default-settings (19.10.1) eoan; urgency=medium

  * debian/xfce4-screensaver.xml,
    debian/xubuntu-live-settings.install:
    - Disable xfce4-screensaver lock screen in the live session
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Add Super+L shortcut to lock the screen
    - Replace Ctrl+Alt+D with Super+D to show the desktop

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 30 Jun 2019 13:16:23 -0400

## xubuntu-default-settings 20.04

=== Makefile ===
#!/usr/bin/make -f

SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/bin/po/ usr/share/polkit-1/actions/po usr/share/xsessions/po usr/share/xubuntu/applications/po usr/share/xubuntu/templates/po

all:
	@echo "Nothing to build, call 'make install' instead."

install:
	mkdir -pv $(DESTDIR)
	cp -a etc usr $(DESTDIR)/.
	mkdir -pv $(DESTDIR)/usr/share/locale
	# po generation
	for i in $(SUBDIRS); do \
		make -C $(DESTDIR)/$$i; \
		rm -rf $(DESTDIR)/$$i; \
	done
	# remove some remaining files
	find $(DESTDIR) -type f -iname "*.in" | xargs rm -f

# vim:ts=4

=== debian/changelog ===
xubuntu-default-settings (20.04) focal; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.4.0
    - Add Rules-Requires-Root: no
    - Update Vcs- locations
  * debian/control, debian/compat:
    - Bump debhelper to version 12
  * debian/live/*:
    - Move live config files to subdirectory
  * debian/live/whiskermenu-1.rc,
    debian/xubuntu-live-settings.install:
    - Remove lock menu option in live since locking is disabled (LP: #1835668)
  * debian/live/light-locker.desktop,
    debian/xubuntu-live-settings.install:
    - Remove light-locker autostart entry since we no longer ship it
  * debian/source/lintian-overrides:
    - Add override for testsuite-autopkgtest-missing
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml:
    - Drop workspace labels, inconsistent with 5+ workspaces (LP: #1829778)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml:
    - Set the Xubuntu wallpaper as default for up to 4 displays
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu,
    etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu:
    - Workaround menu handling errors in pyxdg (LP: #1833863)

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 09 Nov 2019 11:42:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 11), dh-python, intltool, python3
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), dh-python, intltool, python3
+Standards-Version: 4.4.0
 Homepage: https://launchpad.net/xubuntu-default-settings
-Vcs-Bzr: lp:xubuntu-default-settings
-Vcs-Browser: https://bazaar.launchpad.net/~xubuntu-dev/xubuntu-default-settings/trunk/
+Rules-Requires-Root: no
+Vcs-Git: https://git.launchpad.net/xubuntu-default-settings.git
+Vcs-Browser: https://git.launchpad.net/xubuntu-default-settings/
 
 Package: xubuntu-default-settings
 Architecture: all

## xubuntu-default-settings 20.04.3

=== debian/changelog ===
xubuntu-default-settings (20.04.3) focal; urgency=medium

  * debian/xubuntu-live-settings.{install,preinst,postrm},
    usr/share/ubiquity/pixmaps/ubuntu_installed.png:
    - Divert default Ubiquity Ubuntu branding with Xubuntu branding
      (LP: #1867515)

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 15 Apr 2020 21:24:21 -0400

xubuntu-default-settings (20.04.2) focal; urgency=medium

  * debian/live/feh.desktop, debian/xubuntu-live-settings.install:
    - Hide feh launcher, only used for ubiquity background (LP: #1872058)

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 12 Apr 2020 13:19:55 -0400

xubuntu-default-settings (20.04.1) focal; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.5.0
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Fix Super+D shortcut by blocking the original (LP: #1866537)
  * usr/share/polkit-1/*
    - Dropped, Mousepad now provides its own polkit actions
  * Refresh translations from Launchpad

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 09 Apr 2020 06:56:50 -0400

## xubuntu-default-settings 20.04.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/bin/po/ usr/share/polkit-1/actions/po usr/share/xsessions/po usr/share/xubuntu/applications/po usr/share/xubuntu/templates/po
+SUBDIRS := etc/xdg/xdg-xubuntu/Thunar/po usr/bin/po/ usr/share/xsessions/po usr/share/xubuntu/applications/po usr/share/xubuntu/templates/po
 
 all:
 	@echo "Nothing to build, call 'make install' instead."

=== debian/changelog ===
xubuntu-default-settings (20.04.4) focal; urgency=medium

  * debian/xubuntu-default-settings.install: be more explicit on what to
    install, as otherwise we're picking up the recently added
    ubuntu_installed.png on both the default and live packages.
  * debian/rules: add dh_missing --fail-missing to catch potential files that
    we forgot to install.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 20 Apr 2020 18:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 12), dh-python, intltool, python3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://launchpad.net/xubuntu-default-settings
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/xubuntu-default-settings.git

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,8 @@
 override_dh_installgsettings:
 	dh_installgsettings --priority=20
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 %:
 	dh $@ --with python3

## xubuntu-default-settings 21.04.0

=== debian/changelog ===
xubuntu-default-settings (21.04.0) hirsute; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Set Gtk/CursorThemeName to DMZ-White (LP: #1838008)
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu:
    - Hide confusing xfce4-terminal-settings.desktop
  * usr/share/xubuntu/applications/xfce4-terminal.desktop:
    - Dropped, enable showing in the menu (LP: #1851387)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Migrate statusnotifier to systray and remove from panel (LP: #1907871)
    - Remove separator between clock and tray, add padding
    - Enable pulseaudio plugin window focus support
  * etc/xdg/xdg-xubuntu/xfce4/helpers.rc:
    - Change FileManager key to lowercase thunar to fix defaults
  * debian/live/whiskermenu-1.rc,
    etc/xdg/xdg-xubuntu/menus/xfce-applications.menu,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    usr/share/xubuntu/applications/defaults.list:
    - Replace exo-* with xfce4-* commands
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml:
    - Hide default icons: File System and Removable Devices
    - Exclude applications menu on desktop right click
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/thunar.xml:
    - Switch default location selector to path bar
    - Enabled opening folders in new tab on middle click
    - Disabled changing window icon for special folders
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Apply upstream keyboard bindings:
      - Ctrl+Alt+Delete: xfce4-session-logout
      - Ctrl+Shift+Escape: xfce4-taskmanager
      - Super+R: xfrun4
      - Super+E, Ctrl+Alt+F: exo-open --launch FileManager

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 12 Dec 2020 14:26:01 -0500

## xubuntu-default-settings 21.04.1

=== debian/changelog ===
xubuntu-default-settings (21.04.1) hirsute; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override:
    - Set window size of file dialog to ensure it fits on screen
  * etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu,
    usr/share/xubuntu/applications/settings-hardware-sound.desktop.in,
    usr/share/xubuntu/applications/po/POTFILES.in:
    - Add Sound entry to Hardware section of Settings Manager
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu:
    - Exclude Texinfo and Pavucontrol from menu
  * etc/skel/.config/hexchat/hexchat.conf,
    etc/skel/.config/hexchat/servlist.conf:
    - Add hexchat config to preselect freenode and join #xubuntu

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 22 Feb 2021 22:37:02 -0500

## xubuntu-default-settings 21.04.2

=== debian/changelog ===
xubuntu-default-settings (21.04.2) hirsute; urgency=medium

  * usr/share/xubuntu/applications/po/xds-desktop-files.pot:
    - Make the new Sound entry translateable
  * Translation updates: ar, de, en, es, fr, hi, hu, id, it, ko, lt,
    nl, oc, pl, pt, sk, tr, ur

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 17 Apr 2021 05:58:03 -0400

## xubuntu-default-settings 21.10.0

=== debian/changelog ===
xubuntu-default-settings (21.10.0) impish; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override,
    etc/xdg/xdg-xubuntu/xfce4/panel/default.xml,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml,
    usr/share/xubuntu/applications/defaults.list:
    - Integrate rhythmbox (LP: #1934926)
  * debian/live/whiskermenu-1.rc,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Remove shortcuts for pidgin (LP: #1936417)
  * etc/skel/.config/hexchat/servlist.conf:
    - Switch Freenode to Libera
  * debian/control:
    - Bump Standards-Version to 4.5.1
    - Bump debhelper-compat to 13
  * debian/source/lintian-overrides:
    - Deleted, no longer needed

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 21 Jul 2021 17:16:57 -0400

## xubuntu-default-settings 21.10.1

=== debian/changelog ===
xubuntu-default-settings (21.10.1) impish; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override:
    - Enable rhythmbox alternative-toolbar plugin
    - Replace obsolete 'Both' setting for org.xfce.mousepad.state.search
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/thunar.xml:
    - Enable full path in Thunar titlebar
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Remove obsolete Super+{1,3,4} keyboard shortcuts
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-screensaver.xml:
    - Set 'onboard -e' as default on-screen keyboard command

 -- Sean Davis <sean@bluesabre.org>  Sat, 31 Jul 2021 19:38:45 -0400

## xubuntu-default-settings 21.10.2

=== debian/changelog ===
xubuntu-default-settings (21.10.2) impish; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-screensaver.xml:
    - Removed, conflicting package with xubuntu-live-settings breaks builds.

 -- Sean Davis <sean@bluesabre.org>  Mon, 02 Aug 2021 21:53:26 -0400

## xubuntu-default-settings 21.10.3

=== debian/changelog ===
xubuntu-default-settings (21.10.3) impish; urgency=medium

  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop:
    - Add Super key binding to open Whisker Menu

 -- Sean Davis <sean@bluesabre.org>  Thu, 19 Aug 2021 07:36:58 -0400

## xubuntu-default-settings 22.04.0

=== usr/bin/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-locales

generate-pot: POTFILES.in
	xgettext -o thunar-print.pot  -L Shell --keyword --keyword=eval_gettext ../thunar-print

generate-locales:
	for i in $$(find $$1 -name "*.po"); do \
		code=$$(echo $$i | sed 's/.po//'); \
		mkdir -p locale/$$code/LC_MESSAGES/; \
	msgfmt -o locale/$$code/LC_MESSAGES/thunar-print.mo $$i; \
	done; \
	cp -R locale/* ../../share/locale

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=thunar-print --dist $$code; \
	done

# vim:ts=4

=== debian/changelog ===
xubuntu-default-settings (22.04.0) jammy; urgency=medium

  * usr/share/xubuntu/applications/defaults.list:
    - Update desktop files to current names (LP: #1967112)
    - Set associations for mimetypes with multiple handlers
    - Replace unsupported mimetype associations (LP: #1764124)
  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop:
    - Add Type=Application to show in startup apps (LP: #1963850)
  * debian/xubuntu-default-settings.gconf-defaults,
    debian/rules:
    - Drop obsolete blueman gconf defaults

 -- Sean Davis <sean@bluesabre.org>  Sun, 10 Apr 2022 06:30:04 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 12), dh-python, intltool, python3
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-python, intltool, python3
+Standards-Version: 4.5.1
 Homepage: https://launchpad.net/xubuntu-default-settings
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/xubuntu-default-settings.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installgsettings:
	dh_installgsettings --priority=20

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@ --with python3

## xubuntu-default-settings 22.10.0

=== debian/changelog ===
xubuntu-default-settings (22.10.0) kinetic; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.0.1
    - Update Homepage, Vcs-{Git,Browser} to GitHub
  * etc/xdg/xdg-xubuntu/picom.conf:
    - Add configuration file for picom (compton replacement)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-appfinder.xml:
    - Fix xfce4-appfinder uri handling (LP: #1892651)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Fix super turning into caps when user swaps caps and esc (LP: #1961506)
  * usr/share/xubuntu/applications/xfhelp4.desktop.in:
    - Use help-browser for xfhelp4 icon (LP: #1983747)

 -- Sean Davis <sean@bluesabre.org>  Sun, 18 Sep 2022 06:16:02 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13), dh-python, intltool, python3
-Standards-Version: 4.5.1
-Homepage: https://launchpad.net/xubuntu-default-settings
+Standards-Version: 4.6.0.1
+Homepage: https://github.com/Xubuntu/xubuntu-default-settings
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/xubuntu-default-settings.git
-Vcs-Browser: https://git.launchpad.net/xubuntu-default-settings/
+Vcs-Git: https://github.com/Xubuntu/xubuntu-default-settings.git
+Vcs-Browser: https://github.com/Xubuntu/xubuntu-default-settings
 
 Package: xubuntu-default-settings
 Architecture: all

## xubuntu-default-settings 22.10.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 all:
 	@echo "Nothing to build, call 'make install' instead."
+
+generate-pot:
+	for i in $(SUBDIRS); do \
+		make -C $$i generate-pot; \
+	done
 
 install:
 	mkdir -pv $(DESTDIR)

=== debian/changelog ===
xubuntu-default-settings (22.10.1) kinetic; urgency=medium

  * debian/control:
    - Move Noto fonts to Recommends, switch to fonts-noto-core (LP: #1891714)
  * etc/xdg/xdg-xubuntu/Thunar/uca.xml.in,
    etc/xdg/xdg-xubuntu/Thunar/accels.scm:
    - Update Thunar custom actions to current template
  * Makefile:
    - Add easier po file regeneration

 -- Sean Davis <sean@bluesabre.org>  Sun, 25 Sep 2022 04:47:01 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: dbus-user-session,
-         fonts-noto-hinted,
          lightdm-gtk-greeter (>= 2.0.1-1),
          systemd (>= 231-1~),
          x11-common (>= 1:7.6+7ubuntu2),
@@ -21,7 +20,8 @@
          xubuntu-artwork (>= 12.10.1~),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: libxfce4ui-utils
+Recommends: libxfce4ui-utils,
+         fonts-noto-core
 Breaks: upstart (<< 1.13.2-0ubuntu28~)
 Provides: lightdm-gtk-greeter-config
 Description: default settings for the Xubuntu desktop

## xubuntu-default-settings 23.04.0

=== debian/changelog ===
xubuntu-default-settings (23.04.0) lunar; urgency=medium

  * debian/rules,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc.in:
    - Enable translations for Whisker Menu (LP: #1926180)
  * usr/share/xubuntu/applications/defaults.list:
    - Fix default association for debian packages (LP: #1993063)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Update panel and plugin properties (LP: #1993186)
    - Use automatic icon size for systray
  * etc/xdg/xdg-xubuntu/xfce4/terminal/terminalrc:
    - Increase terminal font size to 10 (LP: #1819466)
  * debian/control:
    - Bump Standards-Version to 4.6.1.0

 -- Sean Davis <sean@bluesabre.org>  Fri, 25 Nov 2022 06:13:46 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13), dh-python, intltool, python3
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/Xubuntu/xubuntu-default-settings
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/Xubuntu/xubuntu-default-settings.git

## xubuntu-default-settings 23.10.0

=== debian/changelog ===
xubuntu-default-settings (23.10.0) mantic; urgency=medium

  * etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu,
    usr/share/xubuntu/applications/po/POTFILES.in,
    usr/share/xubuntu/applications/po/xds-desktop-files.pot,
    usr/share/xubuntu/applications/settings-hardware-sound.desktop.in:
    - Remove duplicate "Sound" .desktop file
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Set matching Xfwm4 theme when selecting Gtk theme
  * debian/xubuntu-default-settings.gsettings-override,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Use elementary-xfce-dark instead of darker
  * debian/control:
    - Bump Standards-Version to 4.6.2

 -- Sean Davis <sean@bluesabre.org>  Tue, 19 Sep 2023 21:30:19 -0400

## xubuntu-default-settings 23.10.1

=== debian/changelog ===
xubuntu-default-settings (23.10.1) mantic; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Use new keys for persisting parole and rhythmbox (LP: #2036352)

 -- Sean Davis <sean@bluesabre.org>  Tue, 03 Oct 2023 06:47:15 -0400

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,11 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_install:
+	cp debian/tmp/etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc \
+		debian/live/whiskermenu-1.rc
+	sed -i 's/show-command-lockscreen=true/show-command-lockscreen=false/g' debian/live/whiskermenu-1.rc
+	dh_install
+
 %:
 	dh $@ --with python3

## xubuntu-default-settings 24.04.4

=== usr/share/xubuntu/templates/po/Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 	intltool-update --pot --gettext-package=xdg-xubuntu-templates
 
 generate-locales:
-	for i in $$(find $$1 -name *.po); do \
+	for i in $$(find $$1 -name "*.po"); do \
 		code=$$(echo $$i | sed 's/.po//'); \
 		mkdir -p locale/$$code/LC_MESSAGES/; \
-    msgfmt -o locale/$$code/LC_MESSAGES/xdg-xubuntu-templates.mo $$i; \
+	msgfmt -o locale/$$code/LC_MESSAGES/xdg-xubuntu-templates.mo $$i; \
 	done; \
-	mv locale ../../../
+	cp -R locale/* ../../../locale
 
 update-po:
 	for i in *.po; do \

=== debian/changelog ===
xubuntu-default-settings (24.04.4) noble; urgency=medium

  * debian/live/desktop-provision/slides:
    - Install a customized installer slideshow (LP: #2061994)

 -- Sean Davis <sean@bluesabre.org>  Wed, 17 Apr 2024 07:30:42 -0400

xubuntu-default-settings (24.04.3) noble; urgency=medium

  * debian/live/desktop-provision/images/mascot.png,
    debian/live/desktop-provision/whitelabel.yaml:
    - Customize the flutter installer screens

 -- Sean Davis <sean@bluesabre.org>  Sat, 30 Mar 2024 06:54:20 -0400

xubuntu-default-settings (24.04.2) noble; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc.in:
    - Replace GNOME Software favorite with Snap Store
  * usr/share/xubuntu/applications/defaults.list:
    - Drop/replace non-existent launcher associations
    - Switch audio/video generic ogg handler to Parole
    - Add newly-supported MIME types

 -- Sean Davis <sean@bluesabre.org>  Sat, 23 Mar 2024 06:18:33 -0400

xubuntu-default-settings (24.04.1) noble; urgency=medium

  * debian/rules,
    debian/xubuntu-live-settings.xubuntu-installer.user.service:
    - Boot ISO with try-or-install screen

 -- Sean Davis <sean@bluesabre.org>  Fri, 08 Mar 2024 10:34:29 -0500

xubuntu-default-settings (24.04.0) noble; urgency=medium

  * debian/live/desktop-provision,
    debian/xubuntu-live-settings.install:
    - Install desktop-provision/whitelabel.yaml for the new
      ubuntu-desktop-bootstrap installer

 -- Sean Davis <sean@bluesabre.org>  Fri, 23 Feb 2024 08:03:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13), dh-python, intltool, python3
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Xubuntu/xubuntu-default-settings
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/Xubuntu/xubuntu-default-settings.git

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,8 @@
 	sed -i 's/show-command-lockscreen=true/show-command-lockscreen=false/g' debian/live/whiskermenu-1.rc
 	dh_install
 
+override_dh_installsystemduser:
+	dh_installsystemduser --name=xubuntu-installer
+
 %:
 	dh $@ --with python3

## xubuntu-default-settings 25.04.0

=== debian/changelog ===
xubuntu-default-settings (25.04.0) plucky; urgency=medium

  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml,
    debian/xubuntu-default-settings.maintscript:
    - Replace xcape Super key binding with native support (LP: #2084326)

 -- Sean Davis <sean@bluesabre.org>  Mon, 25 Nov 2024 05:28:49 -0500

## xubuntu-default-settings 25.04.1

=== debian/changelog ===
xubuntu-default-settings (25.04.1) plucky; urgency=medium

  * etc/skel/.config/gtk-3.0/settings.ini,
    etc/skel/.config/gtk-4.0/settings.ini:
    - Set gtk-print-preview-command to atril (LP: #2025332)

 -- Sean Davis <sean@bluesabre.org>  Thu, 30 Jan 2025 06:44:56 -0500
